import { defineNuxtPlugin } from '#app'

export default defineNuxtPlugin(() => {
  if (process.client) {
    import('atropos/element').then(({ default: AtroposComponent }) => {
      customElements.define('atropos-component', AtroposComponent)
    })
  }
})
